# class ActiveLdap::Schema::Syntaxes::JPEG

### Public Instance Methods

binary?() click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 286
    def binary?
      true
    end

### Private Instance Methods

validate_normalized_value(value, original_value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 291
    def validate_normalized_value(value, original_value)
      if value.unpack("n")[0] == 0xffd8
        nil
      else
        _("invalid JPEG format")
      end
    end